> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Registration Counts

> Get registration counts by status (admin only).

Returns total count and breakdown by status for summary cards.



## OpenAPI

````yaml /openapi.json get /api/v1/learn/registrations/counts
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/registrations/counts:
    get:
      tags:
        - learn-registrations
      summary: Get Registration Counts
      description: |-
        Get registration counts by status (admin only).

        Returns total count and breakdown by status for summary cards.
      operationId: get_registration_counts_api_v1_learn_registrations_counts_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistrationCountsDTO'
      security:
        - HTTPBearer: []
components:
  schemas:
    RegistrationCountsDTO:
      properties:
        total:
          type: integer
          title: Total
        inProgress:
          type: integer
          title: Inprogress
        completed:
          type: integer
          title: Completed
        failed:
          type: integer
          title: Failed
      type: object
      required:
        - total
        - inProgress
        - completed
        - failed
      title: RegistrationCountsDTO
      description: Counts of registrations by status for summary cards.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````